$!
$! This is file SEARCH.COM to build the
$! SEARCH example application on OpenVMS.
$!
$! Enable the universal IDL command interface
$  idl		:= $sys$system:dce$idl.exe
$
$! Compile the interface definition
$! -keep all is used to keep the IDL output for training purposes
$ idl search.idl -keep all -trace all -trace log_manager
$
$! Compile the client application files
$ cc client.c
$
$! Link the client application
$ link /exe=searchit.exe client, search_cstub, sys$input:/options
        sys$share:dce$lib_shr/share
        sys$share:vaxc2decc.exe/share
$ write sys$output "searchit.exe done."
$
$! Compile the server application files
$ cc server.c, manager.c
$
$! Link the server application
$ link/exe=searchd.exe server, manager, search_sstub, sys$input:/options
        sys$share:dce$lib_shr/share
        sys$share:vaxc2decc.exe/share
$ write sys$output "searchd.exe done."
